View Issue Details

IDProjectCategoryView StatusLast Update
0000644bareos-core[All Projects] file daemonpublic2016-10-13 11:55
ReporterdebfxAssigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version15.2.3 
Target VersionFixed in Version 
Summary0000644: Setting DriveType causes empty backups on Linux
DescriptionBareos will backup no files on Linux when you set DriveType to some value in the FileSet.
For example this can happen when you have a "Full Set" FileSet that is used for Windows and Linux hosts.

The DriveType documentation says:
- This option is effective only on Windows machines [...]
- This option is not implemented in Unix/Linux systems

Instead it leads to empty backups on Linux without Bareos printing a warning.
Bareos only logs this INFO message:
Top level directory "/" has an unlisted drive type "unknown"

It might also be worth evaluating whether this message should be upgraded to a warning when the drive type can't be detected.
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impactyes
bareos-15.2: actionfixed
bareos-14.2: impactyes
bareos-14.2: actionfixed
bareos-13.2: impactyes
bareos-13.2: actionwill care
bareos-12.4: impactyes
bareos-12.4: actionwill care

Relationships

child of 0000641 closedmaik Release bareos-15.2.4 
child of 0000584 closedjoergs Release bareos-14.2.7 
child of 0000583 assignedjoergs Release bareos-13.2.6 

Activities

mvwieringen

mvwieringen

2016-04-21 20:29

developer   ~0002243

Fix committed to bareos master branch with changesetid 6214.
joergs

joergs

2016-07-08 14:34

administrator   ~0002316

Fix committed to bareos bareos-14.2 branch with changesetid 6433.
maik

maik

2016-10-13 11:55

administrator   ~0002384

Closed, release done

Related Changesets

bareos: master e9252e21

2016-04-19 19:22:30

mvwieringen

Ported: N/A

Details Diff
findlib: Setting DriveType causes empty backups on Linux

Implement what is documented e.g. fstype only works on non Windows and
drivetype only works on Windows. Unknown fstypes or drivetypes are now
logged at loglevel M_WARNING instead of M_INFO.

Fixes 0000644: Setting DriveType causes empty backups on Linux
Affected Issues
0000644
mod - src/findlib/find_one.c Diff File

bareos: bareos-14.2 178613c8

2016-04-19 19:22:30

mvwieringen


Committer: joergs

Ported: N/A

Details Diff
findlib: Setting DriveType causes empty backups on Linux

Implement what is documented e.g. fstype only works on non Windows and
drivetype only works on Windows. Unknown fstypes or drivetypes are now
logged at loglevel M_WARNING instead of M_INFO.

Fixes 0000644: Setting DriveType causes empty backups on Linux
Affected Issues
0000644
mod - src/findlib/find_one.c Diff File

Issue History

Date Modified Username Field Change
2016-04-19 18:34 debfx New Issue
2016-04-19 19:29 mvwieringen bareos-master: impact => yes
2016-04-19 19:29 mvwieringen bareos-master: action => will care
2016-04-19 19:29 mvwieringen bareos-15.2: impact => yes
2016-04-19 19:29 mvwieringen bareos-15.2: action => will care
2016-04-19 19:29 mvwieringen bareos-14.2: impact => yes
2016-04-19 19:29 mvwieringen bareos-14.2: action => will care
2016-04-19 19:29 mvwieringen bareos-13.2: impact => yes
2016-04-19 19:29 mvwieringen bareos-13.2: action => will care
2016-04-19 19:29 mvwieringen bareos-12.4: impact => yes
2016-04-19 19:29 mvwieringen bareos-12.4: action => will care
2016-04-19 19:29 mvwieringen Status new => acknowledged
2016-04-21 17:43 mvwieringen Relationship added child of 0000641
2016-04-21 20:29 mvwieringen Changeset attached => bareos master e9252e21
2016-04-21 20:29 mvwieringen Note Added: 0002243
2016-04-21 20:29 mvwieringen Status acknowledged => resolved
2016-04-21 20:29 mvwieringen Resolution open => fixed
2016-07-05 13:28 joergs Relationship added child of 0000584
2016-07-05 13:29 joergs bareos-master: action will care => fixed
2016-07-05 13:29 joergs bareos-15.2: action will care => fixed
2016-07-05 13:29 joergs bareos-14.2: action will care => fixed
2016-07-05 13:30 joergs Relationship added child of 0000583
2016-07-08 14:34 joergs Changeset attached => bareos bareos-14.2 178613c8
2016-07-08 14:34 joergs Note Added: 0002316
2016-10-13 11:55 maik Note Added: 0002384
2016-10-13 11:55 maik Status resolved => closed